Bug 707652 - clutter_actor_set_mapped: assertion failed: (CLUTTER_ACTOR_IS_MAPPED (self))
clutter_actor_set_mapped: assertion failed: (CLUTTER_ACTOR_IS_MAPPED (self))
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
: 688413 690072 691960 697322 702702 703454 704209 720185 749091 752149 755290 756085 756087 756349 757694 759184 765704 766793 767510 767787 768015 768017 772046 781781 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-25 12:01 EDT by Owen Taylor
Modified: 2013-02-13 14:47 EST (History)
32 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:47:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 648450 None None None Never

  None (edit)
Description Owen Taylor 2011-05-25 12:01:39 EDT
This is a frequently duplicated crash - the stack trace looks like:


clutter_actor_set_mapped()
...
<multiple levels of clutter_actor_update_map_state()>
...
clutter_actor_set_parent()
st_container_add()
...
<js signal handler>
...
emit_pointer_event()
Comment 1 Owen Taylor 2011-05-25 12:01:54 EDT
*** Bug 688413 has been marked as a duplicate of this bug. ***
Comment 2 Owen Taylor 2011-05-25 12:02:50 EDT
*** Bug 690072 has been marked as a duplicate of this bug. ***
Comment 3 Owen Taylor 2011-05-25 12:03:15 EDT
*** Bug 691960 has been marked as a duplicate of this bug. ***
Comment 4 Owen Taylor 2011-05-25 12:03:47 EDT
*** Bug 697322 has been marked as a duplicate of this bug. ***
Comment 5 Owen Taylor 2011-05-25 12:04:42 EDT
*** Bug 703454 has been marked as a duplicate of this bug. ***
Comment 6 Owen Taylor 2011-05-25 12:05:44 EDT
*** Bug 702702 has been marked as a duplicate of this bug. ***
Comment 7 Owen Taylor 2011-05-25 12:07:06 EDT
*** Bug 704209 has been marked as a duplicate of this bug. ***
Comment 8 dev 2011-05-27 10:51:12 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Tried to move a window from one workspace to another using the activity view.
Comment 9 John Slade 2011-05-28 17:38:25 EDT
Package: gnome-shell-3.0.1-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Hovered mouse in top left corner of screen
Comment 10 Ben Liblit 2011-05-28 21:17:32 EDT
Package: gnome-shell-3.0.1-4.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
System was under somewhat heavy load, with a VirtualBox virtual machine shutting down and yum installing a few packages.  Brought up the Activites overview and tried to drag around a window in the virtual desktop thumbnails area.  Boom, crash!
Comment 11 Richard Ruhland 2011-05-29 06:29:28 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Move Gnome-termin to Desktop "1"
Comment 12 Reinout van Schouwen 2011-05-30 05:31:12 EDT
Package: gnome-shell-3.0.1-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I was shuffling around windows in the Activities view
Comment 13 Rolle 2011-06-01 00:13:53 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I have Gnome3 and LXDE installed. When I going to the overview mode I typed thunar to select the filemanager. But while I'm typing it crashed. It occurs one time and it is until now not repeately.
Comment 14 Philip Chimento 2011-06-02 07:35:24 EDT
Package: gnome-shell-3.0.1-4.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Trying to drag a favorite application icon to a different spot in the favorites dock.
Comment 15 ablepharus 2011-06-04 17:17:28 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Simultaneously started a program with wine and while starting I wanted to open Nautilus.
Comment 16 Joseph D. Wagner 2011-06-05 05:09:21 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Tried to click & drag in Favorites bar on left.
Comment 17 Szőke Károly 2011-06-06 16:02:30 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
1. type laz+ENTER (for lazarus)
2. crash
Comment 18 Bruno Martins 2011-06-07 02:05:10 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Trying to drop a window on another workspace.
Comment 19 Christof Kaelin 2011-06-07 08:55:35 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Activties overlay under heavy I/O
Comment 20 Jan Teichmann 2011-06-07 18:19:13 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I opened the activity overview and started typing to search for an application. The shell was responding awfully slow and finally crashed
Comment 21 Claudio Saavedra 2011-06-08 06:02:48 EDT
Owen, is this being tracked in bgo?
Comment 22 Richard Ruhland 2011-06-09 03:47:13 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
aktivated windows-buttom an click claws-mail
Comment 23 Stephen Gallagher 2011-06-10 10:15:40 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
This occurred at random while entering and exiting the overlay with the logo key.
Comment 24 Antoine Martin 2011-06-13 14:56:13 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
the usual: just alt-tab
Comment 25 Marc Maurer 2011-06-19 10:41:30 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I moved my mouse cursor into the top left corner to get the window overview
Comment 26 Vamp898 2011-06-19 15:48:45 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Pressed the "Super" key and typed "term" in case of wanting to open a Terminal.

After that GNOME-Shell restarted and abrt reported me this crash
Comment 27 Agustin Ferrario 2011-06-20 02:16:33 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Process crashed while displaying windows.
Comment 28 Paolo Leoni 2011-06-21 13:12:42 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
1. normal operations
2. crash
Comment 29 Paul Ezvan 2011-06-22 05:07:44 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Crash in expose mode.
Comment 30 Jeremy Fitzhardinge 2011-06-22 16:03:53 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Crashed while moving window between workspaces in overview.
Comment 31 Adrian Wyssmann 2011-06-23 07:01:34 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I want to move a window to another virtual workspace and then gnome-shell crashed.
Comment 32 Adrian Wyssmann 2011-06-23 07:01:56 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I want to move a window to another virtual workspace and then gnome-shell crashed.
Comment 33 James 2011-06-23 15:35:00 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Just navigating around my windows.
Comment 34 Skyler Hawthorne 2011-06-24 18:15:40 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I hit the mod key to start a program, but as I started typing, my external hard drive started to spin up from sleep mode, and the GNOME shell hung. Once it spun up, GNOME restarted.
Comment 35 Filipe Sousa 2011-06-25 13:10:48 EDT
Package: gnome-shell-3.0.2-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
ocurred while searching for a specific application
Comment 36 Garve 2011-06-27 13:40:40 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Installed a new program,
pressed Meta, typed in the first 2 letters (to start it) => Crash.
Comment 37 Pratyush Sahay 2011-06-30 09:14:44 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Opening the overlay mode by pressing Super Key.
Comment 38 Wouter De Borger 2011-07-01 05:33:11 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
gnome shell crashes when printing doc file in libre offcie (same crash occurs in ubuntu)
Comment 39 Pratyush Sahay 2011-07-03 01:30:58 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
After installing opera, trying to invoke it through overlay mode
Comment 40 leraquendee 2011-07-03 22:41:44 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Using Gnome-shell.
Comment 41 Old Uncle 2011-07-04 07:39:44 EDT
Package: gnome-shell-3.0.2-3.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Didn't catch!
Comment 42 Claudio Saavedra 2011-07-04 08:29:00 EDT
Upstream bug seems to be https://bugzilla.gnome.org/show_bug.cgi?id=648450  but it's not active.
Comment 43 John Rowe 2011-07-04 11:42:08 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Dragging a window from the second monitor. I don't know how it got onto that monitor anyway.
Comment 44 abdilra7eem 2011-07-04 17:52:01 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I don't remember. this is an old crash!
Comment 45 Owen Taylor 2012-01-16 13:50:24 EST
Still seems to be happening in Fedora 16
Comment 46 Owen Taylor 2012-01-16 13:52:19 EST
*** Bug 720185 has been marked as a duplicate of this bug. ***
Comment 47 Owen Taylor 2012-01-16 14:01:41 EST
*** Bug 759184 has been marked as a duplicate of this bug. ***
Comment 48 Owen Taylor 2012-01-16 14:01:52 EST
*** Bug 755290 has been marked as a duplicate of this bug. ***
Comment 49 Owen Taylor 2012-01-16 14:01:57 EST
*** Bug 756085 has been marked as a duplicate of this bug. ***
Comment 50 Owen Taylor 2012-01-16 14:02:07 EST
*** Bug 756087 has been marked as a duplicate of this bug. ***
Comment 51 Owen Taylor 2012-01-16 14:02:14 EST
*** Bug 756349 has been marked as a duplicate of this bug. ***
Comment 52 Owen Taylor 2012-01-16 14:02:26 EST
*** Bug 757694 has been marked as a duplicate of this bug. ***
Comment 53 Owen Taylor 2012-01-16 14:03:10 EST
*** Bug 767787 has been marked as a duplicate of this bug. ***
Comment 54 Owen Taylor 2012-01-16 14:03:17 EST
*** Bug 749091 has been marked as a duplicate of this bug. ***
Comment 55 Owen Taylor 2012-01-16 14:03:26 EST
*** Bug 752149 has been marked as a duplicate of this bug. ***
Comment 56 Owen Taylor 2012-01-16 14:03:36 EST
*** Bug 765704 has been marked as a duplicate of this bug. ***
Comment 57 Owen Taylor 2012-01-16 14:03:45 EST
*** Bug 766793 has been marked as a duplicate of this bug. ***
Comment 58 Owen Taylor 2012-01-16 14:03:53 EST
*** Bug 767510 has been marked as a duplicate of this bug. ***
Comment 59 Owen Taylor 2012-01-16 14:04:01 EST
*** Bug 768015 has been marked as a duplicate of this bug. ***
Comment 60 Owen Taylor 2012-01-16 14:05:13 EST
*** Bug 768017 has been marked as a duplicate of this bug. ***
Comment 61 Owen Taylor 2012-01-16 14:05:25 EST
*** Bug 772046 has been marked as a duplicate of this bug. ***
Comment 62 Owen Taylor 2012-01-16 14:05:32 EST
*** Bug 781781 has been marked as a duplicate of this bug. ***
Comment 63 Fedora End Of Life 2013-01-16 11:17:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 64 Fedora End Of Life 2013-02-13 14:47:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.